Module java.base
Package java.net.spi

# Interface InetAddressResolverProvider.Configuration

Enclosing class:
  `InetAddressResolverProvider`

public static sealed interface InetAddressResolverProvider.Configuration
A `Configuration` object is supplied to the `InetAddressResolverProvider.get(Configuration)` method when setting the system-wide resolver. A resolver implementation can then delegate to the built-in resolver provided by this interface if it needs to.

Since:
  18

## Method Summary

Modifier and Type
Method
Description
`InetAddressResolver`
`builtinResolver()`
Returns the built-in resolver.
`String`
`lookupLocalHostName()`
Reads the localhost name from the system configuration.

## Method Details

### builtinResolver

InetAddressResolver builtinResolver()
Returns the built-in resolver.

Returns:
  the JDK built-in resolver.

### lookupLocalHostName

String lookupLocalHostName()
Reads the localhost name from the system configuration.

Returns:
  the localhost name.